#
# spec file for package plp (Version 4.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         plp
Copyright:    1999 - not specified
Group:        System Environment/Daemons
Provides:     plp-lpd print_daemon
Conflicts:    lprold lprng cups-client
Autoreqprov:  on
Version:      4.1.2
Release:      379
Summary:      Print spooler
Source: plp-lpd-4.1.2.tar.gz
Patch: plp-4.1.2.dif
Patch1: sf_warnings.dif

%description
A newer printer spooling system for Linux. Configuration is located in
/etc/printcap, /etc/plp.conf, and /etc/printer_perms.
If problems occur shutdown the spooling system by entering
"/etc/init.d/lpd stop". Then you can switch to the BSD spooling system by
removing package plp in YaST and installing package lprold.
Restart the system with "/etc/init.d/lpd start".

SuSE series: n

%prep
%setup -n plp-4.1.2
%patch
%patch1

%build
cd src && ./configure --prefix=/usr
make CCOPTFLAGS='-O2 -fomit-frame-pointer -pipe' 

%install
(cd src && make install install.man CCOPTFLAGS='-O2 -fomit-frame-pointer -pipe')
install -m 644 plp.conf /etc
install -m 644 test/printer_perms.proto /etc/printer_perms
install -m 644 printcap.new /etc/printcap
mkdir -p %{_defaultdocdir}/plp
cp -av doc/* %{_defaultdocdir}/plp
chown -R root.root %{_defaultdocdir}/plp
rm -r %{_defaultdocdir}/plp/man
rm -r %{_defaultdocdir}/plp/PLP/latex
rm %{_defaultdocdir}/plp/PLP/manual.rtf
install -m 755 rc.lpd /etc/init.d/lpd
ln -sf ../../etc/init.d/lpd /usr/sbin/rclpd
mkdir -p /var/adm/fillup-templates
install -m 644 rc.config.lpd /var/adm/fillup-templates/rc.config.plp
ln -sf ../bin/lpc /usr/sbin/lpc

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.plp
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.plp and update"
  echo "by hand."
fi
if [ -x sbin/insserv ] ; then
  sbin/insserv etc/init.d/lpd
fi
if [ \( "$1" = "" -o "$1" = "1" \) -a -f etc/printcap.rpmsave ]
then
    mv etc/printcap etc/printcap.$$
    mv etc/printcap.rpmsave etc/printcap
    mv etc/printcap.$$ etc/printcap.rpmorig
fi
for DIR in ` cat etc/printcap | \
             grep -v "^#" | \
             grep "sd=" | \
	     sed -e"s:.*sd=:sd=:" | \
	     sed -e"s:sd=::" | \
	     sed -e"s:^/::" | \
	     sed -e"s/:.*//" ` ; do
    if [ ! -d $DIR ] ; then
        #
        # apsfilter normally creates usr/spool entries, maybe it is linked
	# to var/spool
	DIR=`echo $DIR | sed -e"s:usr:var:"`
    fi
    if [ -d $DIR ] ; then
        chown -R lp.lp $DIR
    fi
done

%postun
if [ -x sbin/insserv ] ; then
  sbin/insserv etc/init.d
fi

%files
%docdir %{_defaultdocdir}/plp
%{_defaultdocdir}/plp
%config /etc/plp.conf
%config(noreplace) /etc/printcap
%config /etc/printer_perms
%config /etc/init.d/lpd
/usr/bin/checkpc
/usr/bin/lp
/usr/bin/lpc
/usr/sbin/lpc
/usr/bin/lpd
/usr/bin/lpq
/usr/bin/lpr
/usr/bin/lprm
/usr/bin/lpstat
/usr/bin/pac
/usr/bin/printers
/usr/bin/setstatus
/usr/sbin/rclpd
%doc %{_mandir}/man1/lpc.1.gz
%doc %{_mandir}/man1/lpq.1.gz
%doc %{_mandir}/man1/lpr.1.gz
%doc %{_mandir}/man1/lprm.1.gz
%doc %{_mandir}/man1/printer.1.gz
%doc %{_mandir}/man1/printers.1.gz
%doc %{_mandir}/man5/plp.conf.5.gz
%doc %{_mandir}/man5/printcap.5.gz
%doc %{_mandir}/man8/checkpc.8.gz
%doc %{_mandir}/man8/lpd.8.gz
%doc %{_mandir}/man8/pac.8.gz
%doc %{_mandir}/man8/setstatus.8.gz
/var/adm/fillup-templates/rc.config.plp

%changelog -n plp
* Fri Aug 31 2001 - bjacke@suse.de
- conflicts now with cups-client, not cups
* Tue Jun 12 2001 - schwab@suse.de
- Fix directives inside macro calls.
* Thu May 17 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Fri May 04 2001 - fehr@suse.de
- save old printcap as printcap.rpmorig when printcap.rpmsave is
  moved (#7671)
* Mon Apr 23 2001 - fehr@suse.de
- add necessary parentheses to test command in postinstall
* Wed Apr 11 2001 - fehr@suse.de
- copy printcap.rpmsave to printcap in postinstall, thus allowing
  to switch between different spoolers using printcap
* Mon Mar 05 2001 - fehr@suse.de
- changed default location of pr to /usr/bin/pr
* Mon Feb 19 2001 - fehr@suse.de
- add missing call to insserv to scripts
* Mon Nov 27 2000 - fehr@suse.de
- change to new startup script scheme
* Fri Nov 17 2000 - fehr@suse.de
- set group tag
* Fri Sep 01 2000 - fehr@suse.de
- add cups to Conflicts: line
* Fri May 19 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Tue Feb 22 2000 - kukuk@suse.de
- Mark /etc/printcap as "config(noreplace)"
- Move /usr/man -> /usr/share/man
* Fri Nov 05 1999 - fehr@suse.de
- add conflicts "lprng" to spec file
* Mon Sep 20 1999 - ro@suse.de
- added provides print_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 03 1999 - fehr@suse.de
- add compatibility link for lpc
* Wed Mar 31 1999 - fehr@suse.de
- add link /usr/sbin/rclpd
* Thu Feb 11 1999 - fehr@suse.de
- fix additinal occurences of buffer overflow problems
* Thu Feb 04 1999 - fehr@suse.de
- fix buffer overflow bug
* Mon Dec 14 1998 - bs@suse.de
- Another fix for setresuid
* Thu Dec 03 1998 - werner@suse.de
- Fix setresuid for 2.0.xx kernels by using setreuid
- New boot script
* Tue Sep 15 1998 - ro@suse.de
- don't use statvfs to determine nfs-fs for glibc (src/library/lockfile.c)
* Tue Jun 30 1998 - fehr@suse.de
- changed to version 4.1.2 of plp
* Thu Feb 05 1998 - fehr@suse.de
- fix switching from daemon again.
* Sat Nov 15 1997 - fehr@suse.de
- fix switching from daemon to user in lpr_filters for access to files
  with mode -rw------ on no_root_quash exported NFS filesystems
- "struct fd_set" is not avaliable in 2.0.32 kernels, use fd_set instead
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Fri May 16 1997 - bs@suse.de
- removed *.new -> orig stuff behavior, since is not neded for rpm.
* Mon Feb 03 1997 - fehr@suse.de
- Corrected wrong path in lpstat script
* Thu Jan 02 1997 - fehr@suse.de
- Wrong dirmode bits fixed in checkpc
* Thu Jan 02 1997 - fehr@suse.de
- dont start lpd in background in /sbin/init.d/lpd
- fixed error in select handling in lpd
* Thu Jan 02 1997 - bs@suse.de
- don't include etc/printcap but etc/printcap.new
- sbin/init.d/lpd added
- fillup etc/rc.config.
* Thu Jan 02 1997 - fehr@suse.de
- patch from Joachim Wesner for device lockung integrated.
* Thu Jan 02 1997 - fehr@suse.de
- package for version 4.0.3 of plp.
